Bug 309891 - Filter buttons and context menu option are not shown
Summary: Filter buttons and context menu option are not shown
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: UI (show other bugs)
Version: 4.9.3
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-11 08:56 UTC by Patrick
Modified: 2012-12-05 13:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick 2012-11-11 08:56:51 UTC
The filter buttons (like spam and ham) in the toolbar and their equivalent context menu options are are not shown after login. Only after restarting kmail, the buttons and context menu options are shown.

Reproducible: Always

Steps to Reproduce:
1. Boot and login (kmail starts automatically).
2. Check the kmail toolbar and context menu.
3. Restart kmail.
4. Check the kmail toolbar and context menu again.
Actual Results:  
At step 2, the toolbar shows no filter buttons en the context menu shows no filter actions.
At step 4, the buttons and actions are shown as expected,

Expected Results:  
At step2, the toolbar should show the filter buttons and the context menu should show the filter actions according the configuration.

This appears to be a problem with akonadi being started by kmail. When akonadi is already running, kmail behaves as expected. Stopping akonadi and then starting kmail, always reproduces the problem.
Comment 1 Laurent Montel 2012-11-11 13:14:59 UTC
Will look at soon.
Comment 2 Laurent Montel 2012-11-12 11:13:10 UTC
I confirm it
Comment 3 Laurent Montel 2012-11-12 11:42:42 UTC
Git commit 3aad748ccb9f3acbf3c1026a40b58c0fd6632d46 by Montel Laurent.
Committed on 12/11/2012 at 12:42.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 309891 - Filter buttons and context menu option are not shown

FIXED-IN: 4.9.4

M  +21   -2    kmail/kmmainwidget.cpp
M  +2    -0    kmail/kmmainwidget.h

http://commits.kde.org/kdepim/3aad748ccb9f3acbf3c1026a40b58c0fd6632d46